## python-django-openstack-auth 1.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DjangoOpenStackAuth.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DjangoOpenStackAuth.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DjangoOpenStackAuth"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DjangoOpenStackAuth"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-django-openstack-auth (1.0.1-0ubuntu4~cloud0) precise-folsom; urgency=low

  * Backport for Ubuntu Cloud Archive:
    - Required dependency for horizon. 

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 17 Aug 2012 15:25:08 +0100

python-django-openstack-auth (1.0.1-0ubuntu4) quantal; urgency=low

  * debian/control: Change Architecture: from any to all, as we do not require
    a per arch package.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 17 Aug 2012 15:22:26 +0100

python-django-openstack-auth (1.0.1-0ubuntu3) quantal; urgency=low

  * Fix lintian warnings. (LP: #1031479)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Aug 2012 07:22:18 -0500

python-django-openstack-auth (1.0.1-0ubuntu2) quantal; urgency=low

  * Re-license the package to sync up with the source.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Aug 2012 07:24:57 -0500

python-django-openstack-auth (1.0.1-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jul 2012 07:25:40 -0500

=== debian/control ===
Source: python-django-openstack-auth
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-all (>= 2.6.6-3~), python-mox,
 python-django, python-keystoneclient
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/django_openstack_auth

Package: python-django-openstack-auth
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-keystoneclient, python-django
Description: A django authentication backend for Openstack
 Django authentication backend for use with the
 OpenStack Keystone Identity backend.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
	for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done

get-orig-source:
	uscan --verbose --force-download --rename --repack --download-current-version --destdir=../build-area

## python-django-openstack-auth 1.0.7

=== debian/changelog ===
python-django-openstack-auth (1.0.7-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * New upstream bugfix release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2013 10:23:23 +0000

python-django-openstack-auth (1.0.7-0ubuntu1) raring; urgency=low

  * New upstream bugfix release (LP: #1155871).

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2013 09:19:00 +0000

python-django-openstack-auth (1.0.1-0ubuntu6) quantal; urgency=low

  * debian/control: Take possible backprots into account. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 23 Aug 2012 07:47:45 -0500

python-django-openstack-auth (1.0.1-0ubuntu5) quantal; urgency=low

  * debian/control: rename binary to python-openstack-auth. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Aug 2012 20:09:26 -0500

## python-django-openstack-auth 1.1.1

=== debian/changelog ===
python-django-openstack-auth (1.1.1-0ubuntu1~cloud0) precise-havana; urgency=low

  * New upstream release for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 29 Aug 2013 15:46:02 -0700

python-django-openstack-auth (1.1.1-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 29 Aug 2013 11:28:08 -0700

## python-django-openstack-auth 1.1.3

=== requirements.txt ===
pbr>=0.5.21,<1.0
Django>=1.4,<1.6
python-keystoneclient>=0.3.2

=== debian/changelog ===
python-django-openstack-auth (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Updated (build-)dependency to follow upstream changes.
  * Disabled unit test which is failing because of pep8 and hacking tests,
    cleaned the debian/rules file.
  * VCS fields now canonical.

 -- Thomas Goirand <zigo@debian.org>  Sun, 06 Oct 2013 01:11:37 +0800

python-django-openstack-auth (1.0.11-1) unstable; urgency=low

  * Ran wrap-and-sort.
  * New upstream release.
  * Standards-Version: is now 3.9.4

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jun 2013 16:24:18 +0800

python-django-openstack-auth (1.0.6+20130426+git+fcee315e16-1) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 15:25:43 +0800

python-django-openstack-auth (1.0.6-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Apr 2013 23:38:40 +0800

python-django-openstack-auth (1.0.2-1) experimental; urgency=low

  Initial release (Closes: #687932).

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Dec 2012 09:56:57 +0000

=== debian/control ===
Source: python-django-openstack-auth
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 8),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21),
               python-setuptools
Build-Depends-Indep: python-babel,
                     python-coverage (>= 3.4),
                     python-django (>= 1.4),
                     python-keystoneclient (>= 1:0.3.2),
                     python-mox,
                     python-oslo.sphinx,
                     python-sphinx (>= 1.1.2)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/openstack/python-django-openstack-auth.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-openstack-auth.git
Homepage: http://pypi.python.org/pypi/django_openstack_auth

Package: python-openstack-auth
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-django (>= 1.4),
         python-keystoneclient (>= 1:0.3.2),
         ${misc:Depends},
         ${python:Depends}
Description: Django authentication backend for Openstack
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

UPSTREAM_GIT = git://github.com/openstack/django_openstack_auth.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

#override_dh_auto_test:
#	for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done

## python-django-openstack-auth 1.1.6

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
Django>=1.4,<1.7
python-keystoneclient>=0.8.0
six>=1.6.0

=== debian/changelog ===
python-django-openstack-auth (1.1.6-5) unstable; urgency=high

  * CVE-2014-8124: Horizon login page contains DOS attack mechanism. Applied
    upstream patch (Closes: #772712).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 20:07:03 +0800

python-django-openstack-auth (1.1.6-4) unstable; urgency=medium

  * Add upstream patch fixing FTBFS: fix-tests.patch. Thanks to David Suárez
    <david.sephirot@gmail.com> for the bug report. (Closes: #763253).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2014 06:34:26 +0000

python-django-openstack-auth (1.1.6-3) unstable; urgency=medium

  * Added Django 1.7 patches. Thanks to Raphael Hertzog for the bug report
    and patches (Closes: #755646).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Sep 2014 17:57:15 +0000

python-django-openstack-auth (1.1.6-2) unstable; urgency=medium

  * Removed built for Python 3 that mistakenly slipped in.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Aug 2014 23:50:04 +0800

python-django-openstack-auth (1.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Do not run usless dh targets.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Aug 2014 17:34:07 +0800

python-django-openstack-auth (1.1.5-3) unstable; urgency=medium

  * Applies suggestion from James Page (Closes: #748684):
    - d/control: Drop python-hacking from BD's; its not used and checking
      coding standards at package build time is way to late.
    - d/control: Bumped Standards-Version, no changes.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 May 2014 18:58:29 +0800

python-django-openstack-auth (1.1.5-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 07:32:30 +0000

python-django-openstack-auth (1.1.5-1) experimental; urgency=low

  * New upstream release.
  * Reviewed (buid-)depends for this release.
  * Removed now useless Django 1.6 patches (already applied upstream).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2014 18:40:28 +0800

python-django-openstack-auth (1.1.3-2) unstable; urgency=medium

  * Added upstream patch to support Django 1.6.
  * Removed patch for lowering python-coverage requirement (since version
    3.7 is now in Sid).
  * Activated unit tests at build time.
  * Added a patch to fix the from django.conf.urls.defaults import into what is
    now working: from django.conf.urls import.
  * VCS fields now canonical.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Dec 2013 17:59:28 +0800

=== debian/control ===
Source: python-django-openstack-auth
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 8),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-django (>= 1.4),
                     python-hacking (>= 0.8.0),
                     python-keystoneclient (>= 1:0.8.0),
                     python-mox3,
                     python-oslosphinx,
                     python-six (>= 1.6.0),
                     python-sphinx (>= 1.1.2)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/openstack/python-django-openstack-auth.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-openstack-auth.git;a=summary
Homepage: http://pypi.python.org/pypi/django_openstack_auth

Package: python-openstack-auth
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-pbr (>= 0.6),
         python-django (>= 1.4),
         python-six (>= 1.6.0),
         python-keystoneclient (>= 1:0.8.0),
         ${misc:Depends},
         ${python:Depends}
Description: Django authentication backend for Openstack
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.

## python-django-openstack-auth 1.1.7

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
Django>=1.4.2,<1.7
python-keystoneclient>=0.10.0
six>=1.7.0

=== debian/changelog ===
python-django-openstack-auth (1.1.7-1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 06 Oct 2014 14:03:42 -0400

python-django-openstack-auth (1.1.7-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Removes all Django 1.7 compat patches which have been applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 09:43:30 +0800

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,16 @@
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
                python-pbr (>= 0.6),
-               python-setuptools
+               python-setuptools,
+               python-sphinx (>= 1.1.2)
 Build-Depends-Indep: python-babel (>= 1.3),
                      python-coverage (>= 3.6),
                      python-django (>= 1.4),
                      python-hacking (>= 0.8.0),
-                     python-keystoneclient (>= 1:0.8.0),
+                     python-keystoneclient (>= 1:0.10.0),
                      python-mox3,
-                     python-oslosphinx,
-                     python-six (>= 1.6.0),
-                     python-sphinx (>= 1.1.2)
+                     python-oslosphinx (>= 2.2.0),
+                     python-six (>= 1.7.0)
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/openstack/python-django-openstack-auth.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-openstack-auth.git;a=summary
@@ -28,10 +28,10 @@
 Package: python-openstack-auth
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-pbr (>= 0.6),
-         python-django (>= 1.4),
-         python-six (>= 1.6.0),
-         python-keystoneclient (>= 1:0.8.0),
+Depends: python-django (>= 1.4),
+         python-keystoneclient (>= 1:0.10.0),
+         python-pbr (>= 0.6),
+         python-six (>= 1.7.0),
          ${misc:Depends},
          ${python:Depends}
 Description: Django authentication backend for Openstack

## python-django-openstack-auth 1.1.9

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,6 @@
 # process, which may cause wedges in the gate later.
 pbr>=0.6,!=0.7,<1.0
 Django>=1.4.2,<1.7
-python-keystoneclient>=0.10.0
+oslo.config>=1.6.0  # Apache-2.0
+python-keystoneclient>=0.11.1
 six>=1.7.0

=== debian/changelog ===
python-django-openstack-auth (1.1.9-0ubuntu0.15.04.1~cloud0) trusty-kilo; urgency=medium

  * d/watch: Update watch file to monitor Debian pypi redirector.
  * New upstream point release (LP: #1403037).

 -- James Page <james.page@ubuntu.com>  Fri, 11 Mar 2016 16:07:24 +0000

=== debian/control ===
Source: python-django-openstack-auth
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>,
Build-Depends: debhelper (>= 8),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx (>= 1.1.2),
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-django (>= 1.4),
                     python-hacking (>= 0.8.0),
                     python-keystoneclient (>= 1:0.10.0),
                     python-mock,
                     python-mox3,
                     python-oslosphinx (>= 2.2.0),
                     python-six (>= 1.7.0),
                     python-testscenarios (>= 0.4),
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/openstack/python-django-openstack-auth.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-openstack-auth.git;a=summary
Homepage: http://pypi.python.org/pypi/django_openstack_auth

Package: python-openstack-auth
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: python-django (>= 1.4),
         python-keystoneclient (>= 1:0.10.0),
         python-pbr (>= 0.6),
         python-six (>= 1.7.0),
         ${misc:Depends},
         ${python:Depends},
Description: Django authentication backend for Openstack
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/django_openstack_auth.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-openstack-auth; \
	done
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-openstack-auth; \
#	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e && for pyversion in $(shell pyversions -r); do \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		PYTHONPATH=. $$pyversion openstack_auth/tests/run_tests.py ; \
	done
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django_openstack_auth/django_openstack_auth-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-openstack-auth 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.6
Django<1.9,>=1.7
oslo.config>=2.3.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
python-keystoneclient>=1.6.0
six>=1.9.0

=== debian/changelog ===
python-django-openstack-auth (2.0.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 07:05:07 +0000

python-django-openstack-auth (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2015 00:19:06 +0200

python-django-openstack-auth (1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2015 09:45:50 +0200

python-django-openstack-auth (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Removed all patches, now obsolete.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 May 2015 21:55:49 +0200

python-django-openstack-auth (1.1.7-3) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed (build-)depends for Jessie.
  * Standards-Version: 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Apr 2015 13:53:21 +0000

python-django-openstack-auth (1.1.7-2) experimental; urgency=medium

  * CVE-2014-8124: Horizon denial of service attack through login page. Applied
    upstream patch (Closes: #772712).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 20:13:53 +0800

=== debian/control ===
Source: python-django-openstack-auth
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-django (>= 1.7),
                     python-hacking (>= 0.10.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/openstack/python-django-openstack-auth.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-openstack-auth.git;a=summary
Homepage: http://pypi.python.org/pypi/django_openstack_auth

Package: python-openstack-auth
Architecture: all
Depends: python-django (>= 1.7),
         python-keystoneclient (>= 1:1.6.0),
         python-pbr (>= 1.8),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.policy (>= 0.5.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Django authentication backend for Openstack
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.

## python-django-openstack-auth 2.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6
Django<1.9,>=1.8
oslo.config>=2.7.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
python-keystoneclient!=1.8.0,>=1.6.0
keystoneauth1>=2.1.0
six>=1.9.0

=== debian/changelog ===
python-django-openstack-auth (2.1.1-1) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * New upstream release.
  * d/control: Fixed (build-)depends for this release.

  [ Thomas Goirand ]
  * Fixed debian/copyright ordering.
  * Re-applied Django 1.9 and REQUEST patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 07:45:26 +0000

python-django-openstack-auth (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 00:48:05 +0100

python-django-openstack-auth (2.0.0-3) unstable; urgency=medium

  * Transition from python-openstack-auth to python-django-openstack-auth.
  * Added Python 3 support.
  * Fixed debian/copyright: the package really is under Apache-2.0 and not
    a BSD license.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 17:45:52 +0200

python-django-openstack-auth (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 08:41:08 +0000

=== debian/control ===
Source: python-django-openstack-auth
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-django (>= 1.8),
                     python-hacking (>= 0.10.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-oslo.config (>= 1:2.7.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python3-babel,
                     python3-django (>= 1.8),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.3),
                     python3-mox3,
                     python3-oslo.config (>= 1:2.7.0),
                     python3-oslo.policy (>= 0.5.0),
                     python3-six (>= 1.9.0),
                     python3-testscenarios,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/openstack/python-django-openstack-auth.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-openstack-auth.git;a=summary
Homepage: http://pypi.python.org/pypi/django_openstack_auth

Package: python-django-openstack-auth
Architecture: all
Depends: python-django (>= 1.8),
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.config (>= 1:2.7.0),
         python-oslo.policy (>= 0.5.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-openstack-auth (<= 2.0.0-2),
Replaces: python-openstack-auth (<= 2.0.0-2),
Provides: python-openstack-auth,
          ${python:Provides},
Description: Django authentication backend for Openstack - Python 2.7
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 2.7 module.

Package: python-openstack-auth
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-django-openstack-auth,
         ${misc:Depends},
Description: Django authentication backend for Openstack - transition package
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This is a transitional package to upgrade to python-django-openstack-auth,
 and it is safe to remove.

Package: python3-django-openstack-auth
Architecture: all
Depends: python3-django (>= 1.8),
         python3-keystoneclient (>= 1:1.6.0),
         python3-oslo.config (>= 1:2.7.0),
         python3-oslo.policy (>= 0.5.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Provides: ${python3:Provides},
Description: Django authentication backend for Openstack - Python 3.x
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -9,27 +9,27 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@  --with python2
+	dh $@  --with python2,python3
 
 override_dh_auto_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-openstack-auth; \
+			--root $(CURDIR)/debian/python-django-openstack-auth; \
 	done
-#	set -e && for pyvers in $(PYTHON3S); do \
-#		python$$pyvers setup.py install --install-layout=deb \
-#			--root $(CURDIR)/debian/python3-openstack-auth; \
-#	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-django-openstack-auth; \
+	done
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	set -e && for pyversion in $(shell pyversions -r); do \
+	set -e ; for pyversion in 2.7 ; do \
 		NOSE_WITH_OPENSTACK=1 \
 		NOSE_OPENSTACK_COLOR=1 \
 		NOSE_OPENSTACK_RED=0.05 \
 		NOSE_OPENSTACK_YELLOW=0.025 \
 		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
-		PYTHONPATH=. $$pyversion openstack_auth/tests/run_tests.py ; \
+		PYTHONPATH=. python$$pyversion openstack_auth/tests/run_tests.py ; \
 	done
 endif

=== debian/watch ===
version=3
https://github.com/gabrielhurley/django_openstack_auth/tags .*/(\d[\d\.]+)\.tar\.gz

## python-django-openstack-auth 2.2.1

=== debian/changelog ===
python-django-openstack-auth (2.2.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 08:45:22 +0000

python-django-openstack-auth (2.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).
  * Removed debian/patches/fix-request.REQUEST-non-existant.patch applied
    upstream.
  * Removed fix-check-of-redirections.patch also applied upstream.
  * Removed Monkey-patch_to_avoid_breaking_Django_with_hash_user.id.patch as
    a better solution was implemented.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Apr 2016 08:50:17 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                      python-keystoneclient (>= 1:1.6.0),
                      python-mock (>= 1.3),
                      python-mox3,
-                     python-oslo.config (>= 1:2.7.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-six (>= 1.9.0),
@@ -31,20 +31,20 @@
                      python3-keystoneclient (>= 1:1.6.0),
                      python3-mock (>= 1.3),
                      python3-mox3,
-                     python3-oslo.config (>= 1:2.7.0),
+                     python3-oslo.config (>= 1:3.7.0),
                      python3-oslo.policy (>= 0.5.0),
                      python3-six (>= 1.9.0),
                      python3-testscenarios,
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/openstack/python-django-openstack-auth.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-openstack-auth.git;a=summary
-Homepage: http://pypi.python.org/pypi/django_openstack_auth
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-django-openstack-auth.git
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-django-openstack-auth.git/
+Homepage: https://pypi.python.org/pypi/django_openstack_auth
 
 Package: python-django-openstack-auth
 Architecture: all
 Depends: python-django (>= 1.8),
          python-keystoneclient (>= 1:1.6.0),
-         python-oslo.config (>= 1:2.7.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.policy (>= 0.5.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
@@ -79,7 +79,7 @@
 Architecture: all
 Depends: python3-django (>= 1.8),
          python3-keystoneclient (>= 1:1.6.0),
-         python3-oslo.config (>= 1:2.7.0),
+         python3-oslo.config (>= 1:3.7.0),
          python3-oslo.policy (>= 0.5.0),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),

## python-django-openstack-auth 2.3.0

=== debian/changelog ===
python-django-openstack-auth (2.3.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 19:49:57 +0000

python-django-openstack-auth (2.3.0-2) experimental; urgency=medium

  * Fix FTBFS with Django 1.10 (Closes: #828670).
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.
  * Testing using Py3 as well.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jul 2016 07:28:10 +0000

python-django-openstack-auth (2.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Add Corey Bryant <corey.bryant@canonical.com> to uploaders.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jun 2016 15:37:45 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ivan Udovichenko <iudovichenko@mirantis.com>,
+           Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -14,37 +15,37 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
+Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage,
                      python-django (>= 1.8),
                      python-hacking (>= 0.10.0),
-                     python-keystoneclient (>= 1:1.6.0),
+                     python-keystoneclient (>= 1:1.7.0),
                      python-mock (>= 1.3),
                      python-mox3,
-                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.config (>= 1:3.9.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-six (>= 1.9.0),
                      python-testscenarios,
-                     python3-babel,
+                     python3-babel (>= 2.3.4),
                      python3-django (>= 1.8),
-                     python3-keystoneclient (>= 1:1.6.0),
+                     python3-keystoneclient (>= 1:1.7.0),
                      python3-mock (>= 1.3),
                      python3-mox3,
-                     python3-oslo.config (>= 1:3.7.0),
+                     python3-oslo.config (>= 1:3.9.0),
                      python3-oslo.policy (>= 0.5.0),
                      python3-six (>= 1.9.0),
                      python3-testscenarios,
-Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-django-openstack-auth.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-django-openstack-auth.git/
+Standards-Version: 3.9.8
+Vcs-Git: https://git.openstack.org/openstack/deb-python-django-openstack-auth -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-django-openstack-auth?h=debian%2Fnewton
 Homepage: https://pypi.python.org/pypi/django_openstack_auth
 
 Package: python-django-openstack-auth
 Architecture: all
 Depends: python-django (>= 1.8),
-         python-keystoneclient (>= 1:1.6.0),
-         python-oslo.config (>= 1:3.7.0),
+         python-keystoneclient (>= 1:1.7.0),
+         python-oslo.config (>= 1:3.9.0),
          python-oslo.policy (>= 0.5.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
@@ -78,8 +79,8 @@
 Package: python3-django-openstack-auth
 Architecture: all
 Depends: python3-django (>= 1.8),
-         python3-keystoneclient (>= 1:1.6.0),
-         python3-oslo.config (>= 1:3.7.0),
+         python3-keystoneclient (>= 1:1.7.0),
+         python3-oslo.config (>= 1:3.9.0),
          python3-oslo.policy (>= 0.5.0),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),

## python-django-openstack-auth 2.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Django<1.9,>=1.8 # BSD
oslo.config>=3.14.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-django-openstack-auth (2.4.0-1+108~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 27 Sep 2016 18:58:29 +0000

python-django-openstack-auth (2.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add Add-is_authenticated-and-is_anonymous-properties.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2016 20:26:43 +0200

## python-django-openstack-auth 2.4.1

=== requirements.txt ===
--- 
+++ 
@@ -5,6 +5,6 @@
 Django<1.9,>=1.8 # BSD
 oslo.config>=3.14.0 # Apache-2.0
 oslo.policy>=1.9.0 # Apache-2.0
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
+python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
 keystoneauth1>=2.10.0 # Apache-2.0
 six>=1.9.0 # MIT

=== debian/changelog ===
python-django-openstack-auth (2.4.1-2ubuntu1~cloud0) xenial-newton; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 10 Oct 2016 10:11:20 +0000

python-django-openstack-auth (2.4.1-2ubuntu1) yakkety; urgency=medium

  * Fix python3-keystoneauth1 dependency back to python-keystoneauth1.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 10 Oct 2016 09:56:05 +0100

python-django-openstack-auth (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 10:50:47 +0200

python-django-openstack-auth (2.4.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add Add-is_authenticated-and-is_anonymous-properties.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 14:54:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-django-openstack-auth
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Ivan Udovichenko <iudovichenko@mirantis.com>,
            Corey Bryant <corey.bryant@canonical.com>,
@@ -19,21 +20,23 @@
                      python-coverage,
                      python-django (>= 1.8),
                      python-hacking (>= 0.10.0),
+                     python-keystoneauth1 (>= 2.10.0),
                      python-keystoneclient (>= 1:1.7.0),
                      python-mock (>= 1.3),
                      python-mox3,
-                     python-oslo.config (>= 1:3.9.0),
-                     python-oslo.policy (>= 0.5.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.policy (>= 1.9.0),
                      python-oslosphinx (>= 2.5.0),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python3-babel (>= 2.3.4),
                      python3-django (>= 1.8),
+                     python3-keystoneauth1 (>= 2.10.0),
                      python3-keystoneclient (>= 1:1.7.0),
                      python3-mock (>= 1.3),
                      python3-mox3,
-                     python3-oslo.config (>= 1:3.9.0),
-                     python3-oslo.policy (>= 0.5.0),
+                     python3-oslo.config (>= 1:3.14.0),
+                     python3-oslo.policy (>= 1.9.0),
                      python3-six (>= 1.9.0),
                      python3-testscenarios,
 Standards-Version: 3.9.8
@@ -44,9 +47,10 @@
 Package: python-django-openstack-auth
 Architecture: all
 Depends: python-django (>= 1.8),
+         python-keystoneauth1 (>= 2.10.0),
          python-keystoneclient (>= 1:1.7.0),
-         python-oslo.config (>= 1:3.9.0),
-         python-oslo.policy (>= 0.5.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.policy (>= 1.9.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          ${misc:Depends},
@@ -79,9 +83,10 @@
 Package: python3-django-openstack-auth
 Architecture: all
 Depends: python3-django (>= 1.8),
+         python3-keystoneauth1 (>= 2.10.0),
          python3-keystoneclient (>= 1:1.7.0),
-         python3-oslo.config (>= 1:3.9.0),
-         python3-oslo.policy (>= 0.5.0),
+         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.policy (>= 1.9.0),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,29 +1,17 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
-UPSTREAM_GIT = git://github.com/openstack/django_openstack_auth.git
+UPSTREAM_GIT := https://github.com/openstack/django_openstack_auth.git
 include /usr/share/openstack-pkg-tools/pkgos.make
-
-export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
 	dh $@  --with python2,python3
 
 override_dh_auto_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-django-openstack-auth; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-django-openstack-auth; \
-	done
+	pkgos-dh_auto_install
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	set -e ; for pyversion in 2.7 ; do \
+	set -e ; for pyversion in 2.7 $(PYTHON3S) ; do \
 		NOSE_WITH_OPENSTACK=1 \
 		NOSE_OPENSTACK_COLOR=1 \
 		NOSE_OPENSTACK_RED=0.05 \
